
QGIS Application - Bug report #528

QGIS does't remove GRASS mapset lock file after its session

2007-01-09 04:55 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10587

Description

Steps to reproduce:

 1. Start QGIS (from clean console, not from GRASS!) and open existing mapset

 2. Close QGIS

 3. Start QGIS again and try to open the same mapset which was opened in step 1. Now it's not possible because the maset is still

locked.

This happened only if QGIS is not started from GRASS.

History

#1 - 2007-01-09 09:06 PM - Gary Sherman

I wasn't able to duplicate this. My mapset was not locked after following the steps.

#2 - 2007-01-09 11:55 PM - Redmine Admin

It works for me in WINDOWS and if QGIS is started from GRASS otherwise .gislock file  remains in mapset directory and it is not possible to use the

mapset again. (btw. in Windows there were no lock file created during mapset use)

#3 - 2007-02-25 07:26 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#4 - 2007-03-16 07:16 PM - Gary Sherman

- Resolution set to worksforme

- Status changed from Open to Closed

This appears to work in both 0.8.1 branch and 0.9

#5 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted
